'Already initialized constant' warning keeps coming up when running rake commands


#1

I’ve been trying to figure this out for a while now. Would appreciate if someone could guide me through to solve this
This is my log:

/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/version.rb:2: warning: already initialized constant Rake::VERSION
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/version.rb:2: warning: previous definition of VERSION was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/version.rb:5: warning: already initialized constant Rake::Version::MAJOR
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/version.rb:5: warning: previous definition of MAJOR was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/version.rb:5: warning: already initialized constant Rake::Version::MINOR
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/version.rb:5: warning: previous definition of MINOR was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/version.rb:5: warning: already initialized constant Rake::Version::BUILD
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/version.rb:5: warning: previous definition of BUILD was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/version.rb:5: warning: already initialized constant Rake::Version::OTHER
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/version.rb:5: warning: previous definition of OTHER was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/version.rb:7: warning: already initialized constant Rake::Version::NUMBERS
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/version.rb:7: warning: previous definition of NUMBERS was here
WARNING: Possible conflict with Rake extension: String#ext already exists
WARNING: Possible conflict with Rake extension: String#pathmap already exists
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/linked_list.rb:109: warning: already initialized constant Rake::LinkedList::EMPTY
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/linked_list.rb:109: warning: previous definition of EMPTY was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/scope.rb:40: warning: already initialized constant Rake::Scope::EMPTY
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/scope.rb:40: warning: previous definition of EMPTY was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_utils.rb:9: warning: already initialized constant FileUtils::RUBY
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/file_utils.rb:9: warning: previous definition of RUBY was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_utils.rb:108: warning: already initialized constant FileUtils::LN_SUPPORTED
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/file_utils.rb:108: warning: previous definition of LN_SUPPORTED was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_utils_ext.rb:16: warning: already initialized constant Rake::FileUtilsExt::DEFAULT
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/file_utils_ext.rb:16: warning: previous definition of DEFAULT was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_list.rb:43: warning: already initialized constant Rake::FileList::ARRAY_METHODS
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/file_list.rb:43: warning: previous definition of ARRAY_METHODS was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_list.rb:46: warning: already initialized constant Rake::FileList::MUST_DEFINE
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/file_list.rb:46: warning: previous definition of MUST_DEFINE was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_list.rb:50: warning: already initialized constant Rake::FileList::MUST_NOT_DEFINE
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/file_list.rb:50: warning: previous definition of MUST_NOT_DEFINE was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_list.rb:54: warning: already initialized constant Rake::FileList::SPECIAL_RETURN
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/file_list.rb:54: warning: previous definition of SPECIAL_RETURN was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_list.rb:60: warning: already initialized constant Rake::FileList::DELEGATING_METHODS
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/file_list.rb:60: warning: previous definition of DELEGATING_METHODS was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_list.rb:85: warning: already initialized constant Rake::FileList::GLOB_PATTERN
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/file_list.rb:85: warning: previous definition of GLOB_PATTERN was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_list.rb:380: warning: already initialized constant Rake::FileList::DEFAULT_IGNORE_PATTERNS
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/file_list.rb:380: warning: previous definition of DEFAULT_IGNORE_PATTERNS was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/file_list.rb:386: warning: already initialized constant Rake::FileList::DEFAULT_IGNORE_PROCS
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/file_list.rb:386: warning: previous definition of DEFAULT_IGNORE_PROCS was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/promise.rb:11: warning: already initialized constant Rake::Promise::NOT_SET
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/promise.rb:11: warning: previous definition of NOT_SET was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/application.rb:12: warning: already initialized constant Rake::CommandLineOptionError
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/application.rb:12: warning: previous definition of CommandLineOptionError was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/application.rb:40: warning: already initialized constant Rake::Application::DEFAULT_RAKEFILES
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/application.rb:40: warning: previous definition of DEFAULT_RAKEFILES was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/task_arguments.rb:107: warning: already initialized constant Rake::EMPTY_TASK_ARGS
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/task_arguments.rb:107: warning: previous definition of EMPTY_TASK_ARGS was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/invocation_chain.rb:54: warning: already initialized constant Rake::InvocationChain::EMPTY
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/invocation_chain.rb:54: warning: previous definition of EMPTY was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/early_time.rb:20: warning: already initialized constant Rake::EARLY
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/early_time.rb:20: warning: previous definition of EARLY was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/late_time.rb:16: warning: already initialized constant Rake::LATE
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/late_time.rb:16: warning: previous definition of LATE was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:3: warning: already initialized constant Rake::Backtrace::SYS_KEYS
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/backtrace.rb:3: warning: previous definition of SYS_KEYS was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:4: warning: already initialized constant Rake::Backtrace::SYS_PATHS
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/backtrace.rb:4: warning: previous definition of SYS_PATHS was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:7: warning: already initialized constant Rake::Backtrace::SUPPRESSED_PATHS
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/backtrace.rb:7: warning: previous definition of SUPPRESSED_PATHS was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:11: warning: already initialized constant Rake::Backtrace::SUPPRESSED_PATHS_RE
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/backtrace.rb:11: warning: previous definition of SUPPRESSED_PATHS_RE was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake/backtrace.rb:15: warning: already initialized constant Rake::Backtrace::SUPPRESS_PATTERN
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/backtrace.rb:15: warning: previous definition of SUPPRESS_PATTERN was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake.rb:69: warning: already initialized constant FileList
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake.rb:69: warning: previous definition of FileList was here
/home/ubuntu/workspace/vendor/cache/ruby/2.4.0/gems/rake-12.0.0/lib/rake.rb:70: warning: already initialized constant RakeFileUtils
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake.rb:70: warning: previous definition of RakeFileUtils was here
rake aborted!
Don't know how to build task 'rails:update:bin' (see --tasks)
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/application.rb:80:in `block in run'
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/application.rb:178:in `standard_exception_handling'
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/lib/rake/application.rb:77:in `run'
/usr/local/rvm/gems/ruby-2.4.1@global/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'
(See full trace by running task with --trace)